Bug 123127 - Ruby and Rails debugging improvements
Ruby and Rails debugging improvements
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Debugger
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
plan61
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 12:19 UTC by Petr Jiricka
Modified: 2008-02-21 11:44 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2007-11-30 12:19:01 UTC
Various improvements in the Ruby/Rails debuggers.
Comment 1 zerohalo 2008-01-22 23:11:18 UTC
Any chance this will include RFE 111574?
Comment 2 zerohalo 2008-01-22 23:12:22 UTC
Correction: Sorry, I meant #107761
Comment 3 Martin Krauskopf 2008-01-23 08:53:09 UTC
I'm not sure. Nobody worked on the debugger approximately for last two months. I worked on the infrastructure and for
6.1 I would like to provide rather decent support for Fast JRuby debugger (we did a lot of work on it at
debug-commons@rubyforge project, so it would be pity not having decent support in any IDE).
So the Fast JRuby debugger is the only big debugger feature which is really planned for 6.1 in the meantime.

But to be honest I haven't go through debuggers RFEs for longer time. I thought that issues like:

- Ability to apply breakpoint hit condition (issue 100096)
- Ability to set exception breakpoint (issue 99770)
- Make Value field in Local Variables writable (issue 112358)

and other smaller features would be possible candidate for 6.1. But might I could rather work just on "Interactive
debugging console". Might be one-weekend work, who knows. But there are tenths of such one-weekend works ;) Sorry, no
good news. But as I said, maybe...
Comment 4 Petr Jiricka 2008-02-21 11:44:26 UTC
We can consider this done for NetBeans 6.1. The main improvements in NB 6.1 in this area are:

- Fast debugger for JRuby
- Better out of box experience
- Fixed problems related to the use of multiple Ruby interpreters by introducing the Ruby Platform concept


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo